@REM Licensed Materials - Property of IBM
@REM 5655-W05, 5655-W09, 5724-L01, 5724-I82, 5724-M24, 5724-M23
@REM (c) Copyright IBM Corporation 2009. All Rights Reserved.
@REM US Government Users Restricted Rights- Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off
setlocal
set WAS_HOME=%~1
set PROFILE_NAME=%~2

@if "%JAVA_HOME%"=="" set JAVA_HOME=%WAS_HOME%\java
@if not exist "%JAVA_HOME%\jre\bin" set JAVA_HOME=%WAS_HOME%\java
@if not exist "%JAVA_HOME%\jre\bin" echo ERROR: JAVA_HOME must point to Java installation containing jre\bin
@if not exist "%JAVA_HOME%\jre\bin" goto done

SET ENCODERCP=.\encoder.jar
set ENCODERJAR=runtimes\com.ibm.ws.admin.client_8.0.0.jar
@if exist "%WAS_HOME%\%ENCODERJAR%" set ENCODERCP="%WAS_HOME%\%ENCODERJAR%";.\encoder.jar
:run
@echo on
@if  exist "%WAS_HOME%\properties\UTE_%PROFILE_NAME%.tmp" del "%WAS_HOME%\properties\UTE_%PROFILE_NAME%.tmp"
@"%JAVA_HOME%\jre\bin\java.exe" -cp %ENCODERCP% com.ibm.wbit.comptest.controller.EncoderMain %3> "%WAS_HOME%\properties\UTE_%PROFILE_NAME%.tmp"
@if %ERRORLEVEL% EQU 0 goto done
@if %ERRORLEVEL% EQU 13 echo UTESecurity BUILD FAILED.
@if %ERRORLEVEL% EQU 13 goto done
@echo UTESecurity FAILED? (return code %ERRORLEVEL%)
:pause
@pause

:done
